package ui.model;

public class HolonTransformer extends CpsObject {

	/* Ratio of the transformer */
	float transformRatio;

	/**
	 * Constructor Set type of object (Transformer), its transform ratio and the
	 * default name ("Transformer");
	 */
	public HolonTransformer(String ObjName) {
		super(ObjName);
	}

	/**
	 * Set transform ratio
	 * 
	 * @param ratio
	 *            desired ratio
	 */
	public void setTransformRatio(float ratio) {
		this.transformRatio = ratio;
	}

	/**
	 * Output the actual ratio of the transformer
	 * 
	 * @return actual ratio of the transformer
	 */
	public float getTransformRatio() {
		return this.transformRatio;
	}
}
