package ui.model;

import Interfaces.CategoryListener;

import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

import ui.controller.*;

public class Model {
	
	//eventuell wenn Canvasgröße gewählt werden kann
	private int HEIGHT;
	private int WIDTH;
	
	
	private ArrayList<Category> categories;
	private ArrayList<CpsObject> objectsOnCanvas;
	private List<CategoryListener> categoryListeners;
	
	
	
	public Model(){
		setCategories(new ArrayList<Category>());
		setObjectsOnCanvas(new ArrayList<CpsObject>());
		setCategoryListeners(new LinkedList<CategoryListener>());
	}
	


	/**
	 * @return the categories
	 */
	public ArrayList<Category> getCategories() {
		return categories;
	}


	/**
	 * @param categories the categories to set
	 */
	public void setCategories(ArrayList<Category> categories) {
		this.categories = categories;
	}


	/**
	 * @return the objectsOnCanvas
	 */
	public ArrayList<CpsObject> getObjectsOnCanvas() {
		return objectsOnCanvas;
	}


	/**
	 * @param objectsOnCanvas the objectsOnCanvas to set
	 */
	public void setObjectsOnCanvas(ArrayList<CpsObject> objectsOnCanvas) {
		this.objectsOnCanvas = objectsOnCanvas;
	}


	/**
	 * @return the categoryListeners
	 */
	public List<CategoryListener> getCategoryListeners() {
		return categoryListeners;
	}


	/**
	 * @param linkedList the categoryListeners to set
	 */
	public void setCategoryListeners(LinkedList<CategoryListener> linkedList) {
		this.categoryListeners = linkedList;
	}

	
	
	

	
}
